Debian Bug report logs - #595007
ZFS support

version graph

Package: parted; Maintainer for parted is Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>; Source for parted is src:parted.

Reported by: Robert Millan <rmh@debian.org>

Date: Tue, 31 Aug 2010 11:48:02 UTC

Severity: wishlist

Tags: d-i, patch

Found in version parted/2.3-2

Fixed in version parted/2.3-3

Done: Colin Watson <cjwatson@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, rmh@debian.org, debian-bsd@lists.debian.org, Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>:
Bug#595007; Package parted. (Tue, 31 Aug 2010 11:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
New Bug report received and forwarded. Copy sent to rmh@debian.org, debian-bsd@lists.debian.org, Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>. (Tue, 31 Aug 2010 11:48:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ZFS support
Date: Tue, 31 Aug 2010 13:45:00 +0200
[Message part 1 (text/plain, inline)]
Package: parted
Version: 2.3-2
Severity: wishlist
Tags: patch

This patch (already sent upstream with copyright assignment) adds support for
detecting ZFS filesystems.  I adjusted it to the Debian package.

Would it be possible to include it in the release?  It is very unintrusive    
and is one of the remaining pieces to make it possible to install Debian
GNU/kFreeBSD using ZFS.

Thanks

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=ca_AD.UTF-8, LC_CTYPE=ca_AD.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages parted depends on:
ii  libblkid1                 2.17.2-3.1     block device id library
ii  libc6                     2.11.2-2       Embedded GNU C Library: Shared lib
ii  libdevmapper1.02.1        2:1.02.48-2    The Linux Kernel Device Mapper use
ii  libncurses5               5.7+20100313-2 shared libraries for terminal hand
ii  libparted0debian1         2.3-2          The GNU Parted disk partitioning s
ii  libreadline6              6.1-3          GNU readline and history libraries
ii  libuuid1                  2.17.2-3.1     Universally Unique ID library

parted recommends no packages.

Versions of packages parted suggests:
pn  parted-doc                    <none>     (no description available)

-- no debconf information
[zfs.diff (text/x-diff, attachment)]

Added indication that bug 595007 blocks 595759 Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Wed, 13 Oct 2010 12:06:06 GMT) Full text and rfc822 format available.

Added tag(s) d-i. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Wed, 13 Oct 2010 12:06:07 GMT) Full text and rfc822 format available.

Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Sun, 17 Oct 2010 10:51:05 GMT) Full text and rfc822 format available.

Notification sent to Robert Millan <rmh@debian.org>:
Bug acknowledged by developer. (Sun, 17 Oct 2010 10:51:05 GMT) Full text and rfc822 format available.

Message #14 received at 595007-close@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 595007-close@bugs.debian.org
Subject: Bug#595007: fixed in parted 2.3-3
Date: Sun, 17 Oct 2010 10:47:29 +0000
Source: parted
Source-Version: 2.3-3

We believe that the bug you reported is fixed in the latest version of
parted, which is due to be installed in the Debian FTP archive:

libparted0-dev_2.3-3_i386.deb
  to main/p/parted/libparted0-dev_2.3-3_i386.deb
libparted0-i18n_2.3-3_all.deb
  to main/p/parted/libparted0-i18n_2.3-3_all.deb
libparted0-udeb_2.3-3_i386.udeb
  to main/p/parted/libparted0-udeb_2.3-3_i386.udeb
libparted0_2.3-3_i386.deb
  to main/p/parted/libparted0_2.3-3_i386.deb
libparted0debian1-dbg_2.3-3_i386.deb
  to main/p/parted/libparted0debian1-dbg_2.3-3_i386.deb
libparted0debian1_2.3-3_i386.deb
  to main/p/parted/libparted0debian1_2.3-3_i386.deb
parted-doc_2.3-3_all.deb
  to main/p/parted/parted-doc_2.3-3_all.deb
parted-udeb_2.3-3_i386.udeb
  to main/p/parted/parted-udeb_2.3-3_i386.udeb
parted_2.3-3.diff.gz
  to main/p/parted/parted_2.3-3.diff.gz
parted_2.3-3.dsc
  to main/p/parted/parted_2.3-3.dsc
parted_2.3-3_i386.deb
  to main/p/parted/parted_2.3-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 595007@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Colin Watson <cjwatson@debian.org> (supplier of updated parted package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 17 Oct 2010 11:13:02 +0100
Source: parted
Binary: parted parted-udeb libparted0 libparted0debian1 libparted0-udeb libparted0-i18n libparted0-dev libparted0debian1-dbg parted-doc
Architecture: source i386 all
Version: 2.3-3
Distribution: unstable
Urgency: low
Maintainer: Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>
Changed-By: Colin Watson <cjwatson@debian.org>
Description: 
 libparted0 - The GNU Parted disk partitioning shared library (old name)
 libparted0-dev - The GNU Parted disk partitioning library development files
 libparted0-i18n - The GNU Parted disk partitioning library i18n support
 libparted0-udeb - The GNU Parted disk partitioning shared library (udeb)
 libparted0debian1 - The GNU Parted disk partitioning shared library
 libparted0debian1-dbg - The GNU Parted disk partitioning library debug development files
 parted     - The GNU Parted disk partition resizing program
 parted-doc - The GNU Parted disk partition resizing program documentation
 parted-udeb - Manually partition a hard drive (parted) (udeb)
Closes: 595007
Changes: 
 parted (2.3-3) unstable; urgency=low
 .
   * Build-depend on check, so that we can run more of our test suite.
   * Add ZFS detection support (thanks, Robert Millan; closes: #595007).
Checksums-Sha1: 
 81c8abb49928e3df2b1066704fdc78f0ecdf331b 2348 parted_2.3-3.dsc
 0cd7c32f6dae222858490ece32df847b385fd171 79701 parted_2.3-3.diff.gz
 3c051dde0247b493fb897eb5714591f450292487 154884 parted_2.3-3_i386.deb
 f9bf8aa7864e34b9c33fef0fbae31923840a38a3 28764 parted-udeb_2.3-3_i386.udeb
 9081758a634e960543799ed01c1755e81483b836 112406 libparted0_2.3-3_i386.deb
 bfdae9edf97369812498c611d6dce83370837ead 309980 libparted0debian1_2.3-3_i386.deb
 e6e6dbced4f2d040040b7bf682bc4a21b0bab7a4 177240 libparted0-udeb_2.3-3_i386.udeb
 5aa9d0798966e17ce21ca888a15b64cccfb2c52b 379544 libparted0-dev_2.3-3_i386.deb
 42b363d1273875cb9fbc9131100c2a6b5d588e95 928800 libparted0debian1-dbg_2.3-3_i386.deb
 b21e2bf6190ea846a0f2feca0489721a58ac359b 578988 libparted0-i18n_2.3-3_all.deb
 7cbce549d3343a1fd2e6a1dcc4c27692733a04bf 184204 parted-doc_2.3-3_all.deb
Checksums-Sha256: 
 e4366c66f2d621569e607849edb6910f4d9b829d293ac66d9d3eaf678a354426 2348 parted_2.3-3.dsc
 e8913e641960fc53ee22a1ed1e7a19f8217212e1a2628471beaee793a7eee533 79701 parted_2.3-3.diff.gz
 b8335ca2378227d26544a74d728a22505f5b1f2cd3b227e66dbf415b13c8b403 154884 parted_2.3-3_i386.deb
 170aabdaab5bd28d0f213c83dbb401ad3cd8a2cbbb928f37bd3317a6671358de 28764 parted-udeb_2.3-3_i386.udeb
 1e59c3575fde0a3c198c4436b4524c812e6ab86933c7f8161d85549726939df6 112406 libparted0_2.3-3_i386.deb
 a3cdb0f9e27bb78739e5d248a9227af909ae78349eb11216b197d44565825a00 309980 libparted0debian1_2.3-3_i386.deb
 a218f69de07f93f9856cff7512af3fe4cb4a3eb890cc08035fc460a1d42c9daf 177240 libparted0-udeb_2.3-3_i386.udeb
 02938dad1f82b5e81348240dcacfa8a4bfffa72be054572a6e5defd308ecb2b2 379544 libparted0-dev_2.3-3_i386.deb
 5524a4f64e20bb542e2f4ccafc3c67165b0aa3619949ccde18c3c841ead65870 928800 libparted0debian1-dbg_2.3-3_i386.deb
 98539e6e3759c65909b1950edd6fa847723f8aba2919f8ab0aa00cfa4b80c298 578988 libparted0-i18n_2.3-3_all.deb
 3761e462c441ebf4bb06c6f86fc4773f4b00e22c03e182c934a7c9a0151d4b70 184204 parted-doc_2.3-3_all.deb
Files: 
 6ca8e6e58a12dc5c1efa894a21994255 2348 admin optional parted_2.3-3.dsc
 b3828f925fccb94f0e4d273356083aa7 79701 admin optional parted_2.3-3.diff.gz
 79a2a4445d925fcccae8f0201e34a17e 154884 admin optional parted_2.3-3_i386.deb
 ca8a7d75c44a17c54133f5063da774c2 28764 debian-installer extra parted-udeb_2.3-3_i386.udeb
 f50f4b3a9bedb7a5f65d15d17726fcc3 112406 libs extra libparted0_2.3-3_i386.deb
 78034646cd3c52df55af082976f834a2 309980 libs optional libparted0debian1_2.3-3_i386.deb
 3e0bbe713502488481936fea566dae34 177240 debian-installer extra libparted0-udeb_2.3-3_i386.udeb
 f8a8ab4fbcd974dd6d4f57f124346c90 379544 libdevel optional libparted0-dev_2.3-3_i386.deb
 43d674dff0f7e15126b3a0d8c5fcafec 928800 debug extra libparted0debian1-dbg_2.3-3_i386.deb
 5d8aa61a82b84c567c2d7961e8526b82 578988 localization optional libparted0-i18n_2.3-3_all.deb
 5ac4c9de1748b097c64d64f6fed722c6 184204 doc optional parted-doc_2.3-3_all.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Colin Watson <cjwatson@debian.org> -- Debian developer

iQIVAwUBTLrQkDk1h9l9hlALAQhiphAAsAABzR7Ind8ZI2ZnSeYJZ/J8cRqk4o/+
BHTSCmsruANxe99CI/W4nnUDc+3nQPTuDzI64T/eFoxNiUhFhUCrLx0nBqlyAgbM
gSxafio33pkq2mBIYNmKiBoCsPeUrAP7eyeZN4Q7nmQKHoBJWHRDejwnHJ5LtXLm
m5RBGxqdl1fDjEP+AVHRlOgDNMrMx+J/hAtpo9rbsy0VB5yetsHIxNHRqfcdoPzp
R+3rfjEda+Uq4o4xKG0mxREwj+ZKoT34uEcXcKFtFg53f855fzP5t/RrQU1d/jbF
cbd4OdsPfnft7M7VJ2vI/7BBdJRNQuRmSunqartkLC2YrX/5qtc9ZdTeJsdWtItE
lMXnAFbA/dbARSxsadaFVrmsXYtjmJn1Qa0/Bx+Dc4sHph/O5pa39bZ4KEsWVd2P
ZDa/OdBS+CNbSAtVKgG6lq+wCVyCr9PCJUiq9DI6Hxf8B5VW+WZ8OaKg6id0o34h
/nL/mmnP/qVM1AveEHLywW76ttn5NxzHIkKBukqXr3L9L6XKGpfcKb1+z0s3HALG
nrOtHlgA7vtkZDRJSic3ekReJinKr1AVqSHD0brcadeLAlUc+8R7Pp7ndmADr2LF
97BVXf5Rwb7dgqz0vGgMK98COurfcO81obhNIeLtO7VcPu6BRQtLMrHZGBe0GDG1
7h39CVBU2wU=
=3QEl
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 26 Nov 2010 07:31:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:27:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.